dl > dt').on('click',function(){ var Dopenclass = $(this).attr('class'); $(this).next('dd').slideToggle(); if(!Dopenclass){ $(this).addClass('dopen'); }else{ $(this).removeClass('dopen'); } }); }); slate.TranslateElement({pageLanguage: 'ja', includedLanguages: 'af,am,ar,az,bg,be,bn,bs,ca,ceb,co,cs,cy,da,de,el,en,eo,es,et,eu,fa,fi,fr,ga,gd,gl,gu,ha,haw,hi,hmn,hr,ht,hu,id,ig,is,it,ja,jv,ka,kk,km,kn,ku,ky,mg,mi,mk,mn,ms,my,ne,nl,no,ny,pa,pl,ps,YYpt,sb,sd,si,sk,sl,sm,sn,so,sq,sr,su,sw,sv,ta,te,tg,th,tr,uk,ur,uz,vi,xh,yi,yo,zh-TW,zu', layout: google.translate.TranslateElement.InlineLayout.SIMPLE, autoDisplay: false}, 'google_translate_element'); }
 クラウディア
1. 概要
2. clean してインストールではだめ
3. 解決

1. 概要

 発生は、2019年03月13日です。  依存するものが多かったので、長いですが、全部表示します。

> pkg version -vl "<"
cantarell-fonts-0.101              <   needs updating (index has 0.101_1)
dejavu-2.37                        <   needs updating (index has 2.37_1)
font-adobe-100dpi-1.0.3_3          <   needs updating (index has 1.0.3_4)
font-adobe-75dpi-1.0.3_3           <   needs updating (index has 1.0.3_4)
font-adobe-utopia-100dpi-1.0.4_3   <   needs updating (index has 1.0.4_4)
font-adobe-utopia-75dpi-1.0.4_3    <   needs updating (index has 1.0.4_4)
font-adobe-utopia-type1-1.0.4_3    <   needs updating (index has 1.0.4_4)
font-arabic-misc-1.0.3_3           <   needs updating (index has 1.0.3_4)
font-bh-100dpi-1.0.3_3             <   needs updating (index has 1.0.3_4)
font-bh-75dpi-1.0.3_3              <   needs updating (index has 1.0.3_4)
font-bh-lucidatypewriter-100dpi-1.0.3_3 <   needs updating (index has 1.0.3_4)
font-bh-lucidatypewriter-75dpi-1.0.3_3 <   needs updating (index has 1.0.3_4)
font-bh-ttf-1.0.3_3                <   needs updating (index has 1.0.3_4)
font-bh-type1-1.0.3_3              <   needs updating (index has 1.0.3_4)
font-bitstream-100dpi-1.0.3_3      <   needs updating (index has 1.0.3_4)
font-bitstream-75dpi-1.0.3_3       <   needs updating (index has 1.0.3_4)
font-bitstream-type1-1.0.3_3       <   needs updating (index has 1.0.3_4)
font-cronyx-cyrillic-1.0.3_3       <   needs updating (index has 1.0.3_4)
font-cursor-misc-1.0.3_3           <   needs updating (index has 1.0.3_4)
font-daewoo-misc-1.0.3_3           <   needs updating (index has 1.0.3_4)
font-dec-misc-1.0.3_3              <   needs updating (index has 1.0.3_4)
font-ibm-type1-1.0.3_3             <   needs updating (index has 1.0.3_4)
font-isas-misc-1.0.3_3             <   needs updating (index has 1.0.3_4)
font-jis-misc-1.0.3_3              <   needs updating (index has 1.0.3_4)
font-micro-misc-1.0.3_3            <   needs updating (index has 1.0.3_4)
font-misc-cyrillic-1.0.3_3         <   needs updating (index has 1.0.3_4)
font-misc-ethiopic-1.0.3_3         <   needs updating (index has 1.0.3_4)
font-misc-meltho-1.0.3_3           <   needs updating (index has 1.0.3_4)
font-misc-misc-1.1.2_3             <   needs updating (index has 1.1.2_4)
font-mutt-misc-1.0.3_3             <   needs updating (index has 1.0.3_4)
font-schumacher-misc-1.1.2_3       <   needs updating (index has 1.1.2_4)
font-screen-cyrillic-1.0.4_3       <   needs updating (index has 1.0.4_4)
font-sony-misc-1.0.3_3             <   needs updating (index has 1.0.3_4)
font-sun-misc-1.0.3_3              <   needs updating (index has 1.0.3_4)
font-winitzki-cyrillic-1.0.3_3     <   needs updating (index has 1.0.3_4)
font-xfree86-type1-1.0.4_3         <   needs updating (index has 1.0.4_4)
lightdm-1.24.0_3                   <   needs updating (index has 1.28.0_1)
mkfontscale-1.1.3_2                <   needs updating (index has 1.2.0)
xorg-apps-7.7_2                    <   needs updating (index has 7.7_3)

2. clean してインストールではだめ

 以前と同じやりかたで、とりあえず、clean して make し直してみました。

cd /usr/ports/x11-fonts/mkfontscale
make deinstall clean
make
make install
 しかし、インストール時に

===>  Installing for mkfontscale-1.2.0
===>  Checking if mkfontscale is already installed
===>   Registering installation for mkfontscale-1.2.0
Installing mkfontscale-1.2.0...
pkg-static: mkfontscale-1.2.0 conflicts with mkfontdir-1.0.7 (installs files into the same place).  Problematic file: /usr/local/bin/mkfontdir
*** Error code 70

Stop.
make: stopped in /usr/ports/x11-fonts/mkfontscale

3. 解決

 あせって、検索すると・・・。  「Bug List」 ↓  「236482 – x11-fonts/mkfontscale: mkfontscale-1.2.0 conflicts with mkfontdir-1.0.7」  にありました。

> pkg delete -f mkfontdir
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        mkfontdir-1.0.7

Number of packages to be removed: 1

Proceed with deinstalling packages? [y/N]: y
[1/1] Deinstalling mkfontdir-1.0.7...
[1/1] Deleting files for mkfontdir-1.0.7: 100%
root@ns2.local.sing.ne.jp /usr/ports/x11-fonts/mkfontscale > make install
===>  Installing for mkfontscale-1.2.0
===>  Checking if mkfontscale is already installed
===>   Registering installation for mkfontscale-1.2.0
Installing mkfontscale-1.2.0...
 これで、mkfontscale がインストールできまして、後の依存するものは、芋づる式にアップグレードできるようになりました。
 
 
カウンタバックグラウンド